This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 62994 - sapcertificationhack patch in 2.4.9-31 breaks megaraid driver
sapcertificationhack patch in 2.4.9-31 breaks megaraid driver
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-08 19:04 EDT by K. Spoon
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 16:16:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description K. Spoon 2002-04-08 19:04:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011014

Description of problem:
When a customer attempted to upgrade to the 2.4.9-31 kernel RPM, he experienced
a kernel panic (failed to mount root fs).  Upon further investigation we found
that booting to an IDE drive and then attempting to mount an array off of a
megraid card failed for 2.4.9-31.  2.4.9-21 and earlier work fine.

The problem appears to be the "linux-2.4.9-sapcertification.patch" patch which
makes some pretty radical changes to the megaraid driver.  Removing the patch
and rebuilding the RPM corrects the problem.

We are using the AMI Megaraid Express 500 (I believe the model number is 475). 
Firmware has been upgraded to latest rev (3.12) and works flawlessly with the
standard megaraid 1.18 driver.  



Version-Release number of selected component (if applicable): 2.4.9-31


How reproducible:
Always

Steps to Reproduce:
1.Install RH 7.2 on server with Express 500 card.
2.Upgrade to 2.4.9-31
3.Cry when the kernel claims it can't mount root fs.
	

Actual Results:  Megaraid driver failed to see the logical drive.

Expected Results:  Megaraid driver should have seen the logical drive.

Additional info:

We are using the AMI Megaraid Express 500 (I believe the model number is 475). 
Firmware has been upgraded to latest rev (3.12) and works flawlessly with the
standard megaraid 1.18 driver.  

Output from /proc/scsi/scsi:
Attached devices:
Host: scsi0 Channel: 01 Id: 00 Lun: 00
  Vendor: MegaRAID Model: LD0 RAID0 05006R Rev: F160
  Type:   Direct-Access                    ANSI SCSI revision: 02

Output in dmesg (with original megaraid 1.18 driver, not the one in 2.4.9-31):
megaraid: found 0x101e:0x1960:idx 0:bus 0:slot 9:func 0
scsi0: Found a MegaRAID controller at 0xf0825000, IRQ: 11
scsi0: Enabling 64 bit support
megaraid: [F160:3.12] detected 1 logical drives
megaraid: supports extended CDBs.
megaraid: channel[1] is raid.
Comment 1 Arjan van de Ven 2002-04-09 05:33:21 EDT
Interesting; we've tested the new driver on several configurations...
(and my main machine uses a megaraid for all it's filesystems)

If it breaks well then the improvement patch will be out again for the next
kernel....
Comment 2 Arjan van de Ven 2003-06-07 16:16:08 EDT
fixed in current errata

Note You need to log in before you can comment on or make changes to this bug.